# AdyBubbles

## 指令

- `bubbles popup <NPC_ID> <TEXT> [LIFE]` - 用于弹出泡泡
- `bubbles clear <NPC_ID>` - 用于清除NPC的泡泡
- `bubbles-chat edit <NPC_ID>` - 用于编辑NPC顺序弹出的泡泡
- `bubbles-chat play <NPC_UUID>` - 用于播放NPC模式为ONCE弹出的泡泡

## 编辑NPC顺序弹出的泡泡

使用指令 `bubbles-chat edit <NPC_ID>`

根据提示操作

## 配置

Example:

```yaml
offset: 0.5 # 泡泡的偏移量(向上)
line-height: 0.5 # 泡泡的间距(向上)
chat:
  period: 60 # 泡泡弹出间隔时间
  limit: 2 # 泡泡弹出数量限制(超出会自动清楚最早的泡泡)
  lifetime: 20 # 泡泡存在的时间限制(超出会自动清除泡泡)
```

## 构建发行版本

发行版本用于正常使用, 不含 TabooLib 本体。

```
./gradlew build
```

## 构建开发版本

开发版本包含 TabooLib 本体, 用于开发者使用, 但不可运行。

```
./gradlew taboolibBuildApi -PDeleteCode
```

> 参数 -PDeleteCode 表示移除所有逻辑代码以减少体积。
